Merge lp:~michael-sheldon/ubuntu-terminal-app/fix-1628781 into lp:~ubuntu-terminal-dev/ubuntu-terminal-app/reboot

Proposed by Michael Sheldon
Status: Merged
Approved by: David Planella
Approved revision: 217
Merged at revision: 217
Proposed branch: lp:~michael-sheldon/ubuntu-terminal-app/fix-1628781
Merge into: lp:~ubuntu-terminal-dev/ubuntu-terminal-app/reboot
Diff against target: 58 lines (+32/-0)
1 file modified
debian/control (+32/-0)
To merge this branch: bzr merge lp:~michael-sheldon/ubuntu-terminal-app/fix-1628781
Reviewer Review Type Date Requested Status
David Planella Approve
Jenkins Bot continuous-integration Approve
Review via email: mp+307172@code.launchpad.net

Commit message

Add transitional packages for qml-module renaming

Description of the change

Add transitional packages for qml-module renaming

To post a comment you must log in.
Revision history for this message
Jenkins Bot (ubuntu-core-apps-jenkins-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
David Planella (dpm) wrote :

Thanks from someone who got bitten by this yesterday :)

review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'debian/control'
2--- debian/control 2016-09-20 17:21:48 +0000
3+++ debian/control 2016-09-29 12:38:08 +0000
4@@ -30,22 +30,54 @@
5 Description: Terminal application
6 Core Terminal application
7
8+Package: qtdeclarative5-qmltermwidget1.0
9+Architecture: any
10+Multi-Arch: same
11+Depends: qml-module-qmltermwidget1.0,
12+ ${misc:Depends},
13+ ${shlibs:Depends},
14+ ${misc:Pre-Depends},
15+Description: Transitional dummy package for QMLTermWidget QML plugin.
16+ This package contains the QMLTermWidget terminal emulator plugin
17+ for Qt Qml.
18+ .
19+ This is a transitional dummy package for qml-module-qmltermwidget1.0
20+ which can be safely removed.
21+
22 Package: qml-module-qmltermwidget1.0
23 Architecture: any
24 Multi-Arch: same
25 Depends: ${misc:Depends},
26 ${shlibs:Depends},
27 ${misc:Pre-Depends},
28+Breaks: qtdeclarative5-qmltermwidget1.0 (<< 0.7~)
29+Replaces: qtdeclarative5-qmltermwidget1.0 (<< 0.7~)
30 Description: QMLTermWidget QML plugin.
31 This package contains the QMLTermWidget terminal emulator plugin
32 for Qt Qml.
33
34+Package: qtdeclarative5-pamauthentication0.1
35+Architecture: any
36+Multi-Arch: same
37+Depends: qml-module-qmltermwidget1.0,
38+ ${misc:Depends},
39+ ${shlibs:Depends},
40+ ${misc:Pre-Depends},
41+Description: Transitional dummy package for PAM authentication QML plugin
42+ This package contains a plugin that enables QML apps to do
43+ password authentication via the PAM API.
44+ .
45+ This is a transitional dummy package for qml-module-pamauthentication0.1
46+ which can be safely removed.
47+
48 Package: qml-module-pamauthentication0.1
49 Architecture: any
50 Multi-Arch: same
51 Depends: ${misc:Depends},
52 ${shlibs:Depends},
53 ${misc:Pre-Depends},
54+Breaks: qtdeclarative5-pamauthentication0.1 (<< 0.7~)
55+Replaces: qtdeclarative5-pamauthentication0.1 (<< 0.7~)
56 Description: PAM authentication QML plugin
57 This package contains a plugin that enables QML apps to do
58 password authentication via the PAM API.

Subscribers

People subscribed via source and target branches